package main

import (
	"elasticstream/controller"

	"github.com/gin-gonic/gin"
)

func main() {

	r := gin.Default()

	r.GET("/open", controller.Open)
	r.GET("/read", controller.Read)
	r.GET("/ack", controller.Ack)
	r.DELETE("/teardown", controller.Teardown)

	r.Run(":8080")
}
